<?php
declare(strict_types=1);

namespace Catequil\Invoice;

use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

return (new ConfigAggregator([
    \Catequil\Core\ConfigProvider::class,
    \Catequil\Webshop\ConfigProvider::class,
    \Catequil\Overseas\ConfigProvider::class,
    ConfigProvider::class,
    new PhpFileProvider(__DIR__ . '/autoload/{{,*.}global,{,*.}local}.php'),
    new ArrayProvider([
        'debug' => true,
    ]),
]))->getMergedConfig();