<?php
declare(strict_types=1);

namespace Catequil\Invoice\Service;

use Catequil\Invoice\Model\InvoiceInterface;
use Catequil\Invoice\Repository\InvoiceRepository;

/**
 * Interface InvoiceServiceInterface
 *
 * @package Catequil\Invoice\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-invoice
 */
interface InvoiceServiceInterface
{
    public function invoices(): InvoiceRepository;
    public function uploadFromGath(array $data): InvoiceInterface;
}
